Subject: Re: [WIP/PATCH v4 8/8] ref-filter: add 'ref-filter.h'

From: Karthik Nayak <[email-masked]>
Date: Mon, 01 Jun 2015 02:20:18 +0530

On 06/01/2015 02:16 AM, Matthieu Moy wrote:
> Karthik Nayak <[email-masked]> writes:
>
> > That is kind of a problem, If I need to swap those commits also, I'd
> > have to add the part where ref-filter is added to the Makefile with
> > the code movement from for-each-ref to ref-filter. This again will not
> > just be Code movement.
>
> You can have a preparatory patch that adds ref-filter.c containing just
> "#include ref-filter.h" and ref-filter.h with proper content. After this
> preparatory patch, you're in a rather silly situation because you have
> an almost empty .c file, but it's still passing all tests and
> compileable.
>
> Then, the next patch can be just code movement.
>
Would it be okay, If I just include the Makefile addition along with the code movement
from 'for-each-ref' to 'ref-filter.c' like Eric suggested?

-- 
Regards,
Karthik